package com.dayou.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.common.RestResponse;
import com.dayou.dto.MajorStatisticalSelectDTO;
import com.dayou.service.IMajorStatisticalStatementService;
import com.dayou.vo.MajorLedgerVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

@RestController
@RequestMapping("major/statisticalStatement")
public class MajorStatisticalStatementController extends BaseController{

    @Autowired
    private IMajorStatisticalStatementService majorStatisticalStatementService;

    /**
     * 查询大中型台账
     * @param page 分页
     * @param dto 查询条件
     * @return Page<MajorLedgerVO>
     */
    @GetMapping("/getMajorLedgerVO")
    public RestResponse<Page<MajorLedgerVO>> getMajorLedgerVO(Page page, MajorStatisticalSelectDTO dto) {
        return RestResponse.data(majorStatisticalStatementService.getMajorLedgerVO(page, dto));
    }

    /**
     * 导出大中型台账
     * @param dto 查询条件
     */
    @GetMapping("/getMajorLedgerVO/export")
    public void exportMajorLedgerVO(MajorStatisticalSelectDTO dto, HttpServletResponse response) throws IOException {
        List<MajorLedgerVO> result = majorStatisticalStatementService.exportMajorLedgerVO(dto);
        exportPlus(response,"房地产总台账列表",result, MajorLedgerVO.class);
    }

}
